id: '63ef5b39-c816-4181-b642-633af408e225'
name: 'Oracle_AW2019'
timestamp: '2024-09-17T11:05:14.8495577Z'
sourceSystem:
  type: 'Oracle'
sourceObjects:
- name: 'CREDITCARD'
  objectType: {}
  terms:
  - name: 'CREDITCARDID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 10
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'CARDTYPE'
    sourceDataType:
      name: 'nvarchar2'
      length: 100
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'CARDNUMBER'
    sourceDataType:
      name: 'nvarchar2'
      length: 50
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'EXPMONTH'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 3
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'EXPYEAR'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 5
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MODIFIEDDATE'
    sourceDataType:
      name: 'timestamp(6)'
      scale: 6
      length: 11
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'CURRENCY'
  objectType: {}
  terms:
  - name: 'CURRENCYCODE'
    sourceDataType:
      name: 'nvarchar2'
      length: 6
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'NAME'
    sourceDataType:
      name: 'nvarchar2'
      length: 100
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MODIFIEDDATE'
    sourceDataType:
      name: 'timestamp(6)'
      scale: 6
      length: 11
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'CURRENCYRATE'
  objectType: {}
  terms:
  - name: 'CURRENCYRATEID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 10
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'CURRENCYRATEDATE'
    sourceDataType:
      name: 'timestamp(6)'
      scale: 6
      length: 11
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'FROMCURRENCYCODE'
    sourceDataType:
      name: 'nvarchar2'
      length: 6
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'TOCURRENCYCODE'
    sourceDataType:
      name: 'nvarchar2'
      length: 6
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'AVERAGERATE'
    sourceDataType:
      name: 'number'
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ENDOFDAYRATE'
    sourceDataType:
      name: 'number'
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MODIFIEDDATE'
    sourceDataType:
      name: 'timestamp(6)'
      scale: 6
      length: 11
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'CUSTOMER'
  objectType: {}
  terms:
  - name: 'CUSTOMERID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 10
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'PERSONID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 10
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'STOREID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 10
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'TERRITORYID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 10
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ACCOUNTNUMBER'
    sourceDataType:
      name: 'varchar2'
      length: 10
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MODIFIEDDATE'
    sourceDataType:
      name: 'timestamp(6)'
      scale: 6
      length: 11
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'DEPARTMENT'
  objectType: {}
  terms:
  - name: 'DEPARTMENTID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 5
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'NAME'
    sourceDataType:
      name: 'nvarchar2'
      length: 100
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'GROUPNAME'
    sourceDataType:
      name: 'nvarchar2'
      length: 100
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MODIFIEDDATE'
    sourceDataType:
      name: 'timestamp(6)'
      scale: 6
      length: 11
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'EMPLOYEE'
  objectType: {}
  terms:
  - name: 'BUSINESSENTITYID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 10
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'NATIONALIDNUMBER'
    sourceDataType:
      name: 'nvarchar2'
      length: 30
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'LOGINID'
    sourceDataType:
      name: 'nvarchar2'
      length: 512
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ORGANIZATIONLEVEL'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 5
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'JOBTITLE'
    sourceDataType:
      name: 'nvarchar2'
      length: 100
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'BIRTHDATE'
    sourceDataType:
      name: 'timestamp(6)'
      scale: 6
      length: 11
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MARITALSTATUS'
    sourceDataType:
      name: 'nvarchar2'
      length: 2
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'GENDER'
    sourceDataType:
      name: 'nvarchar2'
      length: 2
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'HIREDATE'
    sourceDataType:
      name: 'timestamp(6)'
      scale: 6
      length: 11
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SALARIEDFLAG'
    sourceDataType:
      name: 'number'
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'VACATIONHOURS'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 5
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SICKLEAVEHOURS'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 5
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'CURRENTFLAG'
    sourceDataType:
      name: 'number'
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MODIFIEDDATE'
    sourceDataType:
      name: 'timestamp(6)'
      scale: 6
      length: 11
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'EMPLOYEEDEPARTMENTHISTORY'
  objectType: {}
  terms:
  - name: 'BUSINESSENTITYID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 10
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'DEPARTMENTID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 5
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SHIFTID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 3
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'STARTDATE'
    sourceDataType:
      name: 'timestamp(6)'
      scale: 6
      length: 11
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ENDDATE'
    sourceDataType:
      name: 'timestamp(6)'
      scale: 6
      length: 11
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MODIFIEDDATE'
    sourceDataType:
      name: 'timestamp(6)'
      scale: 6
      length: 11
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'PERSON'
  objectType: {}
  terms:
  - name: 'BUSINESSENTITYID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 10
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'PERSONTYPE'
    sourceDataType:
      name: 'nvarchar2'
      length: 4
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'NAMESTYLE'
    sourceDataType:
      name: 'number'
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'TITLE'
    sourceDataType:
      name: 'nvarchar2'
      length: 16
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'FIRSTNAME'
    sourceDataType:
      name: 'nvarchar2'
      length: 100
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MIDDLENAME'
    sourceDataType:
      name: 'nvarchar2'
      length: 100
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'LASTNAME'
    sourceDataType:
      name: 'nvarchar2'
      length: 100
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SUFFIX'
    sourceDataType:
      name: 'nvarchar2'
      length: 20
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'EMAILPROMOTION'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 10
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MODIFIEDDATE'
    sourceDataType:
      name: 'timestamp(6)'
      scale: 6
      length: 11
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'PERSONPHONE'
  objectType: {}
  terms:
  - name: 'BUSINESSENTITYID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 10
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'PHONENUMBER'
    sourceDataType:
      name: 'nvarchar2'
      length: 50
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'PHONENUMBERTYPEID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 10
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MODIFIEDDATE'
    sourceDataType:
      name: 'timestamp(6)'
      scale: 6
      length: 11
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'PHONENUMBERTYPE'
  objectType: {}
  terms:
  - name: 'PHONENUMBERTYPEID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 10
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'NAME'
    sourceDataType:
      name: 'nvarchar2'
      length: 100
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MODIFIEDDATE'
    sourceDataType:
      name: 'timestamp(6)'
      scale: 6
      length: 11
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'PRODUCT'
  objectType: {}
  terms:
  - name: 'PRODUCTID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 10
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'NAME'
    sourceDataType:
      name: 'nvarchar2'
      length: 100
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'PRODUCTNUMBER'
    sourceDataType:
      name: 'nvarchar2'
      length: 50
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MAKEFLAG'
    sourceDataType:
      name: 'number'
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'FINISHEDGOODSFLAG'
    sourceDataType:
      name: 'number'
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'COLOR'
    sourceDataType:
      name: 'nvarchar2'
      length: 30
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SAFETYSTOCKLEVEL'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 5
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'REORDERPOINT'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 5
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'STANDARDCOST'
    sourceDataType:
      name: 'number'
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'LISTPRICE'
    sourceDataType:
      name: 'number'
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SIZE_X'
    sourceDataType:
      name: 'nvarchar2'
      length: 10
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SIZEUNITMEASURECODE'
    sourceDataType:
      name: 'nvarchar2'
      length: 6
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'WEIGHTUNITMEASURECODE'
    sourceDataType:
      name: 'nvarchar2'
      length: 6
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'WEIGHT'
    sourceDataType:
      name: 'number'
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'DAYSTOMANUFACTURE'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 10
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'PRODUCTLINE'
    sourceDataType:
      name: 'nvarchar2'
      length: 4
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'CLASS_X'
    sourceDataType:
      name: 'nvarchar2'
      length: 4
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'STYLE_X'
    sourceDataType:
      name: 'nvarchar2'
      length: 4
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'PRODUCTSUBCATEGORYID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 10
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'PRODUCTMODELID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 10
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SELLSTARTDATE'
    sourceDataType:
      name: 'timestamp(6)'
      scale: 6
      length: 11
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SELLENDDATE'
    sourceDataType:
      name: 'timestamp(6)'
      scale: 6
      length: 11
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'DISCONTINUEDDATE'
    sourceDataType:
      name: 'timestamp(6)'
      scale: 6
      length: 11
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MODIFIEDDATE'
    sourceDataType:
      name: 'timestamp(6)'
      scale: 6
      length: 11
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'PRODUCTCATEGORY'
  objectType: {}
  terms:
  - name: 'PRODUCTCATEGORYID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 10
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'NAME'
    sourceDataType:
      name: 'nvarchar2'
      length: 100
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MODIFIEDDATE'
    sourceDataType:
      name: 'timestamp(6)'
      scale: 6
      length: 11
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'PRODUCTSUBCATEGORY'
  objectType: {}
  terms:
  - name: 'PRODUCTSUBCATEGORYID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 10
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'PRODUCTCATEGORYID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 10
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'NAME'
    sourceDataType:
      name: 'nvarchar2'
      length: 100
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MODIFIEDDATE'
    sourceDataType:
      name: 'timestamp(6)'
      scale: 6
      length: 11
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'SALESORDERDETAIL'
  objectType: {}
  terms:
  - name: 'SALESORDERID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 10
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SALESORDERDETAILID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 10
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'CARRIERTRACKINGNUMBER'
    sourceDataType:
      name: 'nvarchar2'
      length: 50
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ORDERQTY'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 5
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'PRODUCTID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 10
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SPECIALOFFERID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 10
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'UNITPRICE'
    sourceDataType:
      name: 'number'
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'UNITPRICEDISCOUNT'
    sourceDataType:
      name: 'number'
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'LINETOTAL'
    sourceDataType:
      name: 'number'
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MODIFIEDDATE'
    sourceDataType:
      name: 'timestamp(6)'
      scale: 6
      length: 11
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'SALESORDERHEADER'
  objectType: {}
  terms:
  - name: 'SALESORDERID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 10
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'REVISIONNUMBER'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 3
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ORDERDATE'
    sourceDataType:
      name: 'timestamp(6)'
      scale: 6
      length: 11
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'DUEDATE'
    sourceDataType:
      name: 'timestamp(6)'
      scale: 6
      length: 11
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SHIPDATE'
    sourceDataType:
      name: 'timestamp(6)'
      scale: 6
      length: 11
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'STATUS'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 3
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ONLINEORDERFLAG'
    sourceDataType:
      name: 'number'
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SALESORDERNUMBER'
    sourceDataType:
      name: 'nvarchar2'
      length: 50
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'PURCHASEORDERNUMBER'
    sourceDataType:
      name: 'nvarchar2'
      length: 50
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'ACCOUNTNUMBER'
    sourceDataType:
      name: 'nvarchar2'
      length: 30
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'CUSTOMERID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 10
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SALESPERSONID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 10
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'TERRITORYID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 10
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'BILLTOADDRESSID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 10
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SHIPTOADDRESSID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 10
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SHIPMETHODID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 10
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'CREDITCARDID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 10
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'CREDITCARDAPPROVALCODE'
    sourceDataType:
      name: 'varchar2'
      length: 15
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'CURRENCYRATEID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 10
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SUBTOTAL'
    sourceDataType:
      name: 'number'
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'TAXAMT'
    sourceDataType:
      name: 'number'
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'FREIGHT'
    sourceDataType:
      name: 'number'
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'TOTALDUE'
    sourceDataType:
      name: 'number'
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'COMMENT_X'
    sourceDataType:
      name: 'nvarchar2'
      length: 256
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MODIFIEDDATE'
    sourceDataType:
      name: 'timestamp(6)'
      scale: 6
      length: 11
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'SALESTERRITORY'
  objectType: {}
  terms:
  - name: 'TERRITORYID'
    sourceDataType:
      name: 'number'
      scale: 0
      precision: 10
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'NAME_X'
    sourceDataType:
      name: 'nvarchar2'
      length: 100
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'COUNTRYREGIONCODE'
    sourceDataType:
      name: 'nvarchar2'
      length: 6
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'GROUP_X'
    sourceDataType:
      name: 'nvarchar2'
      length: 100
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SALESYTD'
    sourceDataType:
      name: 'number'
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'SALESLASTYEAR'
    sourceDataType:
      name: 'number'
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'COSTYTD'
    sourceDataType:
      name: 'number'
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'COSTLASTYEAR'
    sourceDataType:
      name: 'number'
      length: 22
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'MODIFIEDDATE'
    sourceDataType:
      name: 'timestamp(6)'
      scale: 6
      length: 11
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
